## gojq 0.12.4

=== debian/changelog ===
gojq (0.12.4-1) unstable; urgency=medium

  * Initial release (Closes: #993437)

 -- Anthony Fok <foka@debian.org>  Wed, 01 Sep 2021 05:44:04 -0600
