=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_INSTALL_EXTRA := builtin.jq cli/test.yaml

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGELOG.md
