## gojq 0.12.5

=== debian/changelog ===
gojq (0.12.5-1) unstable; urgency=medium

  * New upstream version 0.12.5
  * Use dh-sequence-golang instead of dh-golang and --with=golang

 -- Anthony Fok <foka@debian.org>  Mon, 29 Nov 2021 20:20:01 -0700
