## gojq 0.12.6

=== debian/changelog ===
gojq (0.12.6-1ubuntu0.1) jammy-security; urgency=medium

  * No change rebuild due to golang-1.18 update. Note that this package
    was built with golang-1.17.

 -- Allen Huang <allen.huang@canonical.com>  Mon, 18 Nov 2024 18:57:16 +0000

gojq (0.12.6-1) unstable; urgency=medium

  * New upstream version 0.12.6
  * Remove dependency on golang-github-itchyny-go-flags-dev
    and bump dependency on golang-github-mattn-go-isatty-dev to (>= 0.0.14)
  * Reorder fields in debian/control and debian/copyright following
    those generated by the next release of dh-make-golang after v0.6.0

 -- Anthony Fok <foka@debian.org>  Mon, 06 Dec 2021 12:40:22 -0700
