=== debian/control ===
--- 
+++ 
@@ -1,23 +1,23 @@
 Source: gojq
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Section: golang
+Priority: optional
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Anthony Fok <foka@debian.org>
-Section: golang
-Testsuite: autopkgtest-pkg-go
-Priority: optional
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
                golang-any,
                golang-github-google-go-cmp-dev (>= 0.5.4),
-               golang-github-itchyny-go-flags-dev (>= 1.5.0),
                golang-github-itchyny-timefmt-go-dev (>= 0.1.3),
-               golang-github-mattn-go-isatty-dev (>= 0.0.13),
+               golang-github-mattn-go-isatty-dev (>= 0.0.14),
                golang-github-mattn-go-runewidth-dev (>= 0.0.9),
                golang-gopkg-yaml.v3-dev (>= 3.0.0~git20210107-496545a)
+Testsuite: autopkgtest-pkg-go
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/gojq
 Vcs-Git: https://salsa.debian.org/go-team/packages/gojq.git
 Homepage: https://github.com/itchyny/gojq
-Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/itchyny/gojq
 
 Package: gojq
@@ -35,9 +35,8 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: golang-github-google-go-cmp-dev (>= 0.5.4),
-         golang-github-itchyny-go-flags-dev (>= 1.5.0),
          golang-github-itchyny-timefmt-go-dev (>= 0.1.3),
-         golang-github-mattn-go-isatty-dev (>= 0.0.13),
+         golang-github-mattn-go-isatty-dev (>= 0.0.14),
          golang-github-mattn-go-runewidth-dev (>= 0.0.9),
          golang-gopkg-yaml.v3-dev (>= 3.0.0~git20210107-496545a),
          ${misc:Depends}
