## gojq 0.12.7

=== Makefile ===
--- 
+++ 
@@ -72,7 +72,7 @@
 .PHONY: lint
 lint: $(GOBIN)/staticcheck
 	go vet ./...
-	staticcheck -tags debug ./...
+	staticcheck -checks all,-ST1000 -tags debug ./...
 
 $(GOBIN)/staticcheck:
 	go install honnef.co/go/tools/cmd/staticcheck@latest
