=== debian/changelog ===
gojq (0.12.7-1) unstable; urgency=medium

  * New upstream version 0.12.7

 -- Anthony Fok <foka@debian.org>  Wed, 02 Mar 2022 22:43:14 -0700
