## gojq 0.12.8

=== debian/changelog ===
gojq (0.12.8-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Build-depend explicitly on golang-any (>= 2:1.16~) as per go.mod
  * Build-depend on dh-golang (>= 1.58~) to avoid dh_dwz errors

 -- Anthony Fok <foka@debian.org>  Thu, 29 Sep 2022 18:55:00 -0600

gojq (0.12.8-1) unstable; urgency=medium

  * New upstream version 0.12.8
  * Update versioned dependencies as per go.mod
  * Bump Standards-Version to 4.6.1 (no change)

 -- Anthony Fok <foka@debian.org>  Tue, 14 Jun 2022 03:47:18 -0600
