=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: gojq
 Section: golang
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Anthony Fok <foka@debian.org>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
+               dh-golang (>= 1.58~),
                dh-sequence-golang,
-               golang-any,
+               golang-any (>= 2:1.16~),
                golang-github-google-go-cmp-dev (>= 0.5.4),
                golang-github-itchyny-timefmt-go-dev (>= 0.1.3),
                golang-github-mattn-go-isatty-dev (>= 0.0.14),
-               golang-github-mattn-go-runewidth-dev (>= 0.0.9),
-               golang-gopkg-yaml.v3-dev (>= 3.0.0~git20210107-496545a)
+               golang-github-mattn-go-runewidth-dev (>= 0.0.13),
+               golang-gopkg-yaml.v3-dev (>= 3.0.1)
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/gojq
 Vcs-Git: https://salsa.debian.org/go-team/packages/gojq.git
 Homepage: https://github.com/itchyny/gojq
@@ -37,8 +37,8 @@
 Depends: golang-github-google-go-cmp-dev (>= 0.5.4),
          golang-github-itchyny-timefmt-go-dev (>= 0.1.3),
          golang-github-mattn-go-isatty-dev (>= 0.0.14),
-         golang-github-mattn-go-runewidth-dev (>= 0.0.9),
-         golang-gopkg-yaml.v3-dev (>= 3.0.0~git20210107-496545a),
+         golang-github-mattn-go-runewidth-dev (>= 0.0.13),
+         golang-gopkg-yaml.v3-dev (>= 3.0.1),
          ${misc:Depends}
 Description: pure Go implementation of jq (library)
  gojq is an implementation of jq command written in Go language.
