=== debian/changelog ===
gojq (0.12.11-1ubuntu0.23.10.1) mantic-security; urgency=medium

  * No change rebuild due to golang-1.20, golang-1.21 updates

 -- Nishit Majithia <nishit.majithia@canonical.com>  Mon, 22 Jan 2024 09:31:16 +0530

gojq (0.12.11-1build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:14:37 +1200

gojq (0.12.11-1) unstable; urgency=medium

  * New upstream version 0.12.11
  * Bump Standards-Version to 4.6.2 (no change)
  * Replace Built-Using field with Static-Built-Using

 -- Anthony Fok <foka@debian.org>  Fri, 03 Feb 2023 03:29:59 -0700
