=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: gojq
 Section: golang
 Priority: optional
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Anthony Fok <foka@debian.org>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
-               dh-golang (>= 1.58~),
                dh-sequence-golang,
                golang-any (>= 2:1.16~),
                golang-github-google-go-cmp-dev (>= 0.5.4),
@@ -14,7 +14,7 @@
                golang-github-mattn-go-runewidth-dev (>= 0.0.13),
                golang-gopkg-yaml.v3-dev (>= 3.0.1)
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/gojq
 Vcs-Git: https://salsa.debian.org/go-team/packages/gojq.git
 Homepage: https://github.com/itchyny/gojq
@@ -24,7 +24,7 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Built-Using: ${misc:Built-Using}
+Static-Built-Using: ${misc:Static-Built-Using}
 Description: pure Go implementation of jq (program)
  gojq is an implementation of jq command written in Go language.
  You can also embed gojq as a library to your Go products.
