=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
                dh-sequence-golang,
                golang-any (>= 2:1.16~),
                golang-github-google-go-cmp-dev (>= 0.5.4),
-               golang-github-itchyny-timefmt-go-dev (>= 0.1.3),
-               golang-github-mattn-go-isatty-dev (>= 0.0.14),
-               golang-github-mattn-go-runewidth-dev (>= 0.0.13),
+               golang-github-itchyny-timefmt-go-dev (>= 0.1.5),
+               golang-github-mattn-go-isatty-dev (>= 0.0.19),
+               golang-github-mattn-go-runewidth-dev (>= 0.0.14),
                golang-gopkg-yaml.v3-dev (>= 3.0.1)
 Testsuite: autopkgtest-pkg-go
 Standards-Version: 4.6.2
@@ -35,9 +35,9 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: golang-github-google-go-cmp-dev (>= 0.5.4),
-         golang-github-itchyny-timefmt-go-dev (>= 0.1.3),
-         golang-github-mattn-go-isatty-dev (>= 0.0.14),
-         golang-github-mattn-go-runewidth-dev (>= 0.0.13),
+         golang-github-itchyny-timefmt-go-dev (>= 0.1.5),
+         golang-github-mattn-go-isatty-dev (>= 0.0.19),
+         golang-github-mattn-go-runewidth-dev (>= 0.0.14),
          golang-gopkg-yaml.v3-dev (>= 3.0.1),
          ${misc:Depends}
 Description: pure Go implementation of jq (library)
